package cn.com.poc.law.convert;	

import cn.com.poc.law.model.BizAiLawyerWritingTemplateDataModel;
import cn.com.poc.law.entity.BizAiLawyerWritingTemplateDataEntity;
import cn.com.poc.law.dto.BizAiLawyerWritingTemplateDataDto;


public class BizAiLawyerWritingTemplateDataConvert {

    public static BizAiLawyerWritingTemplateDataEntity modelToEntity(BizAiLawyerWritingTemplateDataModel model){
        BizAiLawyerWritingTemplateDataEntity entity = new BizAiLawyerWritingTemplateDataEntity();
        entity.setBizAiLawyerWritingTemplateDataId(model.getBizAiLawyerWritingTemplateDataId());
        entity.setBizAiLawyerWritingTemplateDialoguesId(model.getBizAiLawyerWritingTemplateDialoguesId());
        entity.setBizAiLawyerWritingTemplateDialoguesRecordId(model.getBizAiLawyerWritingTemplateDialoguesRecordId());
        entity.setBizAiLawyerWritingTemplateData(model.getBizAiLawyerWritingTemplateData());
        entity.setBizAiLawyerWritingTemplateCode(model.getBizAiLawyerWritingTemplateCode());
        entity.setIsDeleted(model.getIsDeleted());
        entity.setCreator(model.getCreator());
        entity.setCreatedTime(model.getCreatedTime());
        entity.setModifier(model.getModifier());
        entity.setModifiedTime(model.getModifiedTime());
        entity.setSysVersion(model.getSysVersion());
        return entity;
    }

    public static BizAiLawyerWritingTemplateDataModel entityToModel(BizAiLawyerWritingTemplateDataEntity entity){
        BizAiLawyerWritingTemplateDataModel model = new BizAiLawyerWritingTemplateDataModel();
        model.setBizAiLawyerWritingTemplateDataId(entity.getBizAiLawyerWritingTemplateDataId());
        model.setBizAiLawyerWritingTemplateDialoguesId(entity.getBizAiLawyerWritingTemplateDialoguesId());
        model.setBizAiLawyerWritingTemplateDialoguesRecordId(entity.getBizAiLawyerWritingTemplateDialoguesRecordId());
        model.setBizAiLawyerWritingTemplateData(entity.getBizAiLawyerWritingTemplateData());
        model.setBizAiLawyerWritingTemplateCode(entity.getBizAiLawyerWritingTemplateCode());
        model.setIsDeleted(entity.getIsDeleted());
        model.setCreator(entity.getCreator());
        model.setCreatedTime(entity.getCreatedTime());
        model.setModifier(entity.getModifier());
        model.setModifiedTime(entity.getModifiedTime());
        model.setSysVersion(entity.getSysVersion());
        return model;
    }
    
    public static BizAiLawyerWritingTemplateDataDto entityToDto(BizAiLawyerWritingTemplateDataEntity entity){
        BizAiLawyerWritingTemplateDataDto dto = new BizAiLawyerWritingTemplateDataDto();
        dto.setBizAiLawyerWritingTemplateDataId(entity.getBizAiLawyerWritingTemplateDataId());
        dto.setBizAiLawyerWritingTemplateDialoguesId(entity.getBizAiLawyerWritingTemplateDialoguesId());
        dto.setBizAiLawyerWritingTemplateDialoguesRecordId(entity.getBizAiLawyerWritingTemplateDialoguesRecordId());
        dto.setBizAiLawyerWritingTemplateData(entity.getBizAiLawyerWritingTemplateData());
        dto.setBizAiLawyerWritingTemplateCode(entity.getBizAiLawyerWritingTemplateCode());
        dto.setIsDeleted(entity.getIsDeleted());
        dto.setCreator(entity.getCreator());
        dto.setCreatedTime(entity.getCreatedTime());
        dto.setModifier(entity.getModifier());
        dto.setModifiedTime(entity.getModifiedTime());
        dto.setSysVersion(entity.getSysVersion());
        return dto;
    }

    public static BizAiLawyerWritingTemplateDataEntity dtoToEntity(BizAiLawyerWritingTemplateDataDto dto){
        BizAiLawyerWritingTemplateDataEntity entity = new BizAiLawyerWritingTemplateDataEntity();
        entity.setBizAiLawyerWritingTemplateDataId(dto.getBizAiLawyerWritingTemplateDataId());
        entity.setBizAiLawyerWritingTemplateDialoguesId(dto.getBizAiLawyerWritingTemplateDialoguesId());
        entity.setBizAiLawyerWritingTemplateDialoguesRecordId(dto.getBizAiLawyerWritingTemplateDialoguesRecordId());
        entity.setBizAiLawyerWritingTemplateData(dto.getBizAiLawyerWritingTemplateData());
        entity.setBizAiLawyerWritingTemplateCode(dto.getBizAiLawyerWritingTemplateCode());
        entity.setIsDeleted(dto.getIsDeleted());
        entity.setCreator(dto.getCreator());
        entity.setCreatedTime(dto.getCreatedTime());
        entity.setModifier(dto.getModifier());
        entity.setModifiedTime(dto.getModifiedTime());
        entity.setSysVersion(dto.getSysVersion());
        return entity;
    }
}